Bug 204039 - [patch] graphics/rubygem-chunky_png: Update to 1.3.4
Summary: [patch] graphics/rubygem-chunky_png: Update to 1.3.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Michael Moll
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-10-26 15:09 UTC by Torsten Zühlsdorff
Modified: 2015-11-19 16:41 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (pphillips)


Attachments
patch with update to 1.3.4 (750 bytes, patch)
2015-10-26 15:09 UTC, Torsten Zühlsdorff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Zühlsdorff 2015-10-26 15:09:00 UTC
Created attachment 162474 [details]
patch with update to 1.3.4

Hello,

attached a simple patch to update this port to the current version.

An short runtime test was also successful:

irb(main):002:0> require 'chunky_png'
=> true
irb(main):003:0> image = ChunkyPNG::Image.from_file('/tmp/test.png')
[ skipped many many lines :D ]

Also portlint is fine:
# portlint -C
looks fine.

Greetings,
Torsten
Comment 1 Michael Moll freebsd_committer 2015-11-16 21:41:08 UTC
Phil, could you take a look, please? Or submit an update to 1.3.5?

As the last commits to your ports ran into maintainer timeouts, please give us a reaction here, otherwise this port has to go to ruby@.
Comment 2 commit-hook freebsd_committer 2015-11-19 16:40:31 UTC
A commit references this bug:

Author: mmoll
Date: Thu Nov 19 16:40:23 UTC 2015
New revision: 401955
URL: https://svnweb.freebsd.org/changeset/ports/401955

Log:
  graphics/rubygem-chunky_png: update to 1.3.5 and reset maintainer

  PR:		204039
  Submitted by:	Torsten Z?hlsdorff <ports@toco-domains.de> (earlier version)
  Approved by:	maintainer (timeout)

Changes:
  head/graphics/rubygem-chunky_png/Makefile
  head/graphics/rubygem-chunky_png/distinfo
  head/graphics/rubygem-chunky_png/pkg-descr
Comment 3 Michael Moll freebsd_committer 2015-11-19 16:41:26 UTC
committed an update to 1.3.5, thanks for submitting!